import React, { Component } from 'react';
import logo from './logo.svg';
import nameGenerator from './name-generator';
import isDef from './is-def';
import { createSensor, Datum, Sensor} from './classe';
import Ventilateur from './Ventilateur'
import Porte from './Porte'
import Bureau from './Bureau'
import Home from './Home'

import './App.css';
import {
    BrowserRouter as Router,
    Route,
    Link
} from 'react-router-dom'




// Store/retrieve the name in/from a cookie.
const cookies = document.cookie.split(';');
//console.log(cookies)


// Create a WebSocket connection to the server
//const ws = new WebSocket("ws://" + window.location.host+ "/socket");



class App extends Component {

    constructor(props) {
        super(props);
        this.state = {value: ''};

        this.handleChange = this.handleChange.bind(this);
        this.handleSubmit = this.handleSubmit.bind(this);
    }

    handleChange(event) {
        this.setState({value: event.target.value});
    }

    handleSubmit(event) {
         this.connexion(this.state.value);
        event.preventDefault();
    }


    connexion(url) {

        console.log(url)

        //MQTT
        var mqtt = require('mqtt')
        var client = mqtt.connect(url)
        client.subscribe("#");

        const messages = document.querySelector('#messages');
        let id = 1;
        var capteur = []; //tableau qui va contenir tous les capteurs
        let ligne;
    }


    render() {
        return (
            <Router>
            <div className="App">
                <header className="App-header">
                    <img src={logo} className="App-logo" alt="logo" />
                    <h1 className="App-title">Welcome to My Sensor</h1>

                </header>

                <form onSubmit={this.handleSubmit}>
                    <label>
                        imput du serveur : <input type="text" value={this.state.value} onChange={this.handleChange} />
                    </label>
                    <input type="submit" value="Submit" />
                </form>




                <div class="wrapper">
                    <article>

                            <div>
                                <Route exact path="/" component={Home}/>
                                <Route path="/Ventilateur" component={Ventilateur}/>
                                <Route path="/Bureau" component={Bureau}/>
                                <Route path="/Porte" component={Porte}/>
                            </div>
                    </article>


                    <nav>navigation

                            <div>
                                <ul>
                                    <li><Link to="/">Home</Link></li>
                                    <li><Link to="/Ventilateur">Ventilateur</Link></li>
                                    <li><Link to="/Bureau">Température Bureau</Link></li>
                                    <li><Link to="/Porte">Porte</Link></li>
                                </ul>

                            </div>
                    </nav>
                </div>
            </div>
            </Router>
        );
    }
}

export default App;



